/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.Partition;
import net.northking.cctp.common.db.entity.Entity;

import java.util.Date;


/**
 * 场景节点信息表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2023-01-31 17:10:49  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "场景节点信息表")
public class AtuSceneNodeInfo extends Partition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_sceneScriptId = "sceneScriptId";
  public static final String KEY_nodeScriptId = "nodeScriptId";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_isDeleted = "isDeleted";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 场景脚本ID<br>
   */
  @ApiModelProperty("场景脚本ID")
  @Size(max = 32, message="场景脚本ID-sceneScriptId: 数据长度不能 > 32" )
  private String sceneScriptId;
  /**
   * 节点脚本ID<br>
   */
  @ApiModelProperty("节点脚本ID")
  @Size(max = 32, message="节点脚本ID-nodeScriptId: 数据长度不能 > 32" )
  private String nodeScriptId;
  /**
   * 系统ID<br>
   */
  @ApiModelProperty("系统ID")
  @Size(max = 32, message="系统ID-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * 租户号<br>
   */
  @ApiModelProperty("租户号")
  @Size(max = 32, message="租户号-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;
  /**
   * 是否删除<br>
   */
  @ApiModelProperty("是否删除")
  private Integer isDeleted;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 场景脚本ID<br>
   */
  public String getSceneScriptId()
  {
      return sceneScriptId;
    }

  /**
   * 场景脚本ID<br>
   *
   * @param sceneScriptId 场景脚本ID
   */
  public void setSceneScriptId(String sceneScriptId)
  {
      this.sceneScriptId = sceneScriptId;
    }
  /**
   * 节点脚本ID<br>
   */
  public String getNodeScriptId()
  {
      return nodeScriptId;
    }

  /**
   * 节点脚本ID<br>
   *
   * @param nodeScriptId 节点脚本ID
   */
  public void setNodeScriptId(String nodeScriptId)
  {
      this.nodeScriptId = nodeScriptId;
    }
  /**
   * 系统ID<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统ID<br>
   *
   * @param projectId 系统ID
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 租户号<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户号<br>
   *
   * @param tenantId 租户号
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 是否删除<br>
   */
  public Integer getIsDeleted()
  {
      return isDeleted;
    }

  /**
   * 是否删除<br>
   *
   * @param isDeleted 是否删除
   */
  public void setIsDeleted(Integer isDeleted)
  {
      this.isDeleted = isDeleted;
    }

  public AtuSceneNodeInfo()
  {
  }

}
